Name:           system-config-rootpassword
Version:        1.99.4
Release:        4%{?dist}
Summary:        A graphical interface for modifying the rootpassword

Group:          System Environment/Base
License:        GPL+
URL:            http://fedora.redhat.com/
# This is hosted at ssh://svn.fedorahosted.org/svn/system-config-rootpassword
# Anonymous access is http://svn.fedorahosted.org/svn/system-config-rootpassword
# The tarball is generated by 'make dist', see Makefile for more info
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext intltool
BuildRequires:  desktop-file-utils
Requires:       rhpl
Requires:       usermode >= 1.36
Requires:       libuser-python >= 0.49
Requires:       cracklib-python
Requires:       usermode-gtk

BuildArch:      noarch
Obsoletes:      redhat-config-rootpassword
Provides:       redhat-config-rootpassword = %{version}

%description
A graphical user interface that allows the user to change the root password
of the system.


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make INSTROOT=$RPM_BUILD_ROOT install

desktop-file-install --vendor=fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        $RPM_BUILD_ROOT%{_datadir}/applications/system-config-rootpassword.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
        gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
        gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/system-config-rootpassword
%dir %{_datadir}/system-config-rootpassword
%{_datadir}/system-config-rootpassword/*
%{_datadir}/firstboot/modules/rootpassword.py*
%{_datadir}/applications/fedora-system-config-rootpassword.desktop
%{_datadir}/icons/hicolor/48x48/apps/system-config-rootpassword.png
%config %{_sysconfdir}/security/console.apps/system-config-rootpassword
%config(noreplace) %{_sysconfdir}/pam.d/system-config-rootpassword
%doc COPYING AUTHORS


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.99.4-3
- Rebuild for Python 2.6

* Wed Oct 22 2008 Lubomir Rintel <lkundrak@v3.sk> - 1.99.4-2
- Add usermode-gtk dependency (#467922)

* Wed Apr 02 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.99.4-1
- Translations update

* Mon Jan 21 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.99.3-2
- Add dependency on cracklib (#428880)

* Tue Dec 18 2007 Lubomir Kundrak <lkundrak@redhat.com> - 1.99.3-1
- New version to address various issues to pass the review #226467

* Wed Nov 21 2007 Lubomir Kundrak <lkundrak@redhat.com> - 1.99.2-1
- New versions, with two new translations and more correct desktop file
- pygtk2 is actually not needed, s-c-r happily runs in text mode

* Wed Nov 21 2007 Lubomir Kundrak <lkundrak@redhat.com> - 1.99.0-1
- Bump version

* Tue Nov 20 2007 Lubomir Kundrak <lkundrak@redhat.com> - 1.1.10-5
- Major SPEC file cleanup (#226467)

* Fri Sep  7 2007 Matthias Clasen <mclasen@redhat.com> - 1.1.10-4
- Fix menu categories

* Thu Aug 23 2007 Pete Graner <pgraner@redhat.com> - 1.1.10-3
- Rebuild

* Tue Aug 21 2007 Pete Graner <pgraner@redhat.com> - 1.1.10-2
- Updated License tag to conform with Fedora License Guidlines.

* Mon Oct 30 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.10-1
- Remove preun 
- Improve user interface based on patch from Damien Durand (#203667)

* Mon Jun 26 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.9-1
- Rebuild for translations

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Oct 24 2005 Paul Nasrat <pnasrat@redhat.com> - 1.1.8-1
- pam_stack deprecated (#170641)
- compiled python

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 1.1.7-2
- silence %%post

* Fri Apr 01 2005 Paul Nasrat <pnasrat@redhat.com> 1.1.7-1
- PyGTK deprecations
- Translations

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 1.1.6-2
- Update the GTK+ theme icon cache on (un)install

* Fri Oct 01 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.6-1
- Pull in translations

* Tue Sep 07 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.5-1
- translatable desktop

* Mon Sep 06 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.4-1
- PyGTK API changes

* Thu Jan 29 2004 Jeremy Katz <katzj@redhat.com> - 1.1.3-1
- fix firstboot module symlink

* Fri Dec  5 2003 Brent Fox <bfox@redhat.com> 1.1.2-1
- apply patch from bug #111423

* Thu Nov 20 2003 Brent Fox <bfox@redhat.com> 1.1.1-1
- fix path problem in startup script

* Mon Nov 10 2003 Brent Fox <bfox@redhat.com> 1.1.0-1
- rename from redhat-config-rootpassword to system-config-password
- add Obsoletes for redhat-config-rootpassword
- make passwordDialog.py able to have a user passed into it other than root
- rename rootpassword.py to passwordDialog.py

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.6-2
- bump release number

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.6-1
- add Requires for rhpl (bug #104216)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.0.5-1
- tag on every build

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.4-1
- add a BuildRequires on gettext

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.0.3-2
- bump relnum and rebuild

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.0.3-1
- use rhpl's translation modules

* Fri Mar  7 2003 Brent Fox <bfox@redhat.com> 1.0.2-6
- bump rev for 3.0E

* Fri Feb 28 2003 Brent Fox <bfox@redhat.com> 1.0.2-5
- catch gtk import exception (bug #85348)

* Thu Feb 20 2003 Brent Fox <bfox@redhat.com> 1.0.2-4
- update translations in desktop files

* Tue Feb 11 2003 Brent Fox <bfox@redhat.com> 1.0.2-3
- check return value of self.apply()

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.2-2
- fix desktop file icon path

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.2-1
- bump and build

* Tue Jan 28 2003 Brent Fox <bfox@redhat.com> 1.0.1-5
- install pixmap to correct location
- make code more similar to firstboot in launch()

* Fri Nov 15 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- fix bug 77932

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- Pam path changes

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- rebuild for translations

* Mon Aug 26 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- connect window to destroy signal

* Mon Aug 19 2002 Brent Fox <bfox@redhat.com> 1.0-1
- Make desktop file UTF-8 encoded

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-3
- pull translations into desktop file

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-2
- Replace System with SystemSetup in desktop file categories

* Tue Aug 06 2002 Brent Fox <bfox@redhat.com> 0.9.9-1
- Set a window title

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-1
- got a new icon

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.5-2
- Fixed desktop file (bug #69481)

* Fri Jul 19 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- pulled in new translations and rebuild

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.0-5
- Create pot file

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.0-4
- Fix spec file

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- init doDebug

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Move the debug parameter to launch
- Add snapsrc to Makefile
        
* Tue May 14 2002 Brent Fox <bfox@redhat.com> 0.2.0-3
- Added a debug mode

* Mon May 13 2002 Brent Fox <bfox@redhat.com>
- Don't call gtk.mainquit() in apply

* Tue Nov 28 2001 Brent Fox <bfox@redhat.com>
- initial coding and packaging

